Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.soap.providers
Class IdentityMapping

    java.lang.Object
      |
      +--oracle.soap.providers.IdentityMapping

public class IdentityMapping
extends java.lang.Object

This class allow the mapping of protocol level identity to provider specific identity. Refer to IdentityMapping.xsd for the schema for identity mapping. To use this class: create an instance of this class and then call getMappedIdentity(String) to get the mapped identity. If a null is returned by this method then it implies that the identity was not mapped created: 02/15/2001

See Also:
  `IdentityMapping.xsd`

Field Summary
`static java.lang.String` | `NS_URI` Namespace URI for IdentityMapping.xsd

Constructor Summary
`IdentityMapping(Document document)` Constructor which takes Document as a parameter.
`IdentityMapping(Element element)` Constructor which takes Element as a parameter.
`IdentityMapping(java.io.InputStream is)` Constructor which takes InputStream as a parameter
`IdentityMapping(java.lang.String filename)` Constructor which takes file name as a parameter.
`IdentityMapping(java.net.URL url)` Constructor which takes URL as a parameter

Method Summary
`java.lang.String` | `getMappedIdentity(java.lang.String from)` Get the provider specific identity.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NS_URI

    public static final java.lang.String NS_URI

  Namespace URI for IdentityMapping.xsd
  See Also:
    Constant Field Values

Constructor Detail

### IdentityMapping

    public IdentityMapping(java.lang.String filename)
                    throws SOAPException

  Constructor which takes file name as a parameter.
Throws:
  `java.io.IOException` - if there is a problem reading the file
  `ParserConfigurationException` - if there is a problem getting the document builder
  `SAXException` - if there is a problem parsing the file
  `SOAPException`

### IdentityMapping

    public IdentityMapping(java.net.URL url)
                    throws java.io.IOException,
    SOAPException

  Constructor which takes URL as a parameter
Throws:
  `java.io.IOException` - if there is a problem reading the file
  `ParserConfigurationException` - if there is a problem getting the document builder
  `SAXException` - if there is a problem parsing the file
  `SOAPException`

### IdentityMapping

    public IdentityMapping(java.io.InputStream is)
                    throws SOAPException

  Constructor which takes InputStream as a parameter
Throws:
  `java.io.IOException` - if there is a problem reading the file
  `ParserConfigurationException` - if there is a problem getting the document builder
  `SAXException` - if there is a problem parsing the file
  `SOAPException`

### IdentityMapping

    public IdentityMapping(Document document)

  Constructor which takes Document as a parameter. The Document must a valid document according to the schema IdentityMapping.xsd.
Parameters:
  `document` - document containing the identity map information

### IdentityMapping

    public IdentityMapping(Element element)

  Constructor which takes Element as a parameter. The Element must be a valid root element defined in the schema IdentityMapping.xsd.
Parameters:
  `element` - Element containing the identity map information

Method Detail

### getMappedIdentity

    public java.lang.String getMappedIdentity(java.lang.String from)

  Get the provider specific identity.
  Parameters:
    `from` - protocol level identity
  Returns:
    provider specific identity

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.